com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectMV.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffectMV.Builder

- Enclosing class:
    TrackEffectMV

      public static final class TrackEffectMV.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackEffectMV` | `build()` Build Track Audio Stream Bean
    `TrackEffectMV.Builder` | `duration(long duration, java.util.concurrent.TimeUnit timeUnit)` Sets the duration of stream.
    `TrackEffectMV.Builder` | `source(Source source)` Sets the path of a resource.
    `TrackEffectMV.Builder` | `startTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Set the start time of audio stream in the track

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### source

          public TrackEffectMV.Builder source(Source source)

      Sets the path of a resource.
      Parameters:
        `source` - resource
      Returns:
        this

    - #### startTime

          public TrackEffectMV.Builder startTime(long startTime,
                                                 java.util.concurrent.TimeUnit timeUnit)

      Set the start time of audio stream in the track
      Parameters:
        `startTime,` - Unit : Milliseconds
        `timeUnit` -
      Returns:
        this

    - #### duration

          public TrackEffectMV.Builder duration(long duration,
                                                java.util.concurrent.TimeUnit timeUnit)

      Sets the duration of stream.
      Parameters:
        `duration` - Unit: Milliseconds.
        `timeUnit` -
      Returns:

    - #### build

          public TrackEffectMV build()

      Build Track Audio Stream Bean
      Returns:
        @return `TrackEffectMV`